TOUCH(1)

NAME
touch - set file timestamps

SYNOPSIS
touch [-acm] [-d time | -r ref_file | -T time | -t time] file ...

DESCRIPTION
touch sets the access and modification time of each file to the current time of day. If file doesn't exist, it is created with default permissions.

OPTIONS

-a | -m
    Set the access | modification time of file.

-c  Don't create file if it doesn't exist, not affecting exit status.

-d time
    Set the time of the format YYYY-MM-DDThh:mm:SS[Z] used for [-am].

-r ref_file
    Set the time used for [-am] to the modification time of ref_file.

-T time
    Set the time used for [-am] given as the number of seconds since the Unix epoch 1970-01-01T00:00:00Z.

-t time
    Set the time of the format [[CC]YY]MMDDhhmm[.SS] used for [-am].

SEE ALSO
date(1)

STANDARDS
POSIX.1-2013. Except for fractional seconds with [-d].

The [-T] flag is an extension to that specification.